SDL_GetGamepadFromInstanceID(3)

NAME
SDL_GetGamepadFromInstanceID - Get the SDL_Gamepad
 associated with a joystick instance ID, if it has been opened.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Gamepad* SDL_GetGamepadFromInstanceID(SDL_JoystickID instance_id);

FUNCTION PARAMETERS

instance_id
    the joystick instance ID of the gamepad

RETURN VALUE
Returns an SDL_Gamepad
 on success or NULL on failure or if it hasn't been opened yet; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.